Subject: Planning the merge of KVM/arm64

From: [email-masked] (Gleb Natapov)
Date: Tue, 4 Jun 2013 19:37:41 +0300

On Tue, Jun 04, 2013 at 05:51:41PM +0200, Paolo Bonzini wrote:
> Il 04/06/2013 17:43, Christoffer Dall ha scritto:
> > Hi Paolo,
> > 
> > I don't think this is an issue. Gleb and Marcelo for example pulled
> > RMK's stable tree for my KVM/ARM updates for the 3.10 merge window and
> > that wasn't an issue.  If Linus pulls the kvm/next tree first the
> > diffstat should be similar and everything clean enough, no?
> > 
> > Catalin has previously expressed his wish to upstream the kvm/arm64
> > patches directly through him given the churn in a completely new
> > architecture and he wants to make sure that everything looks right.
> > 
> > It's a pretty clean implementation with quite few dependencies and
> > merging as a working series should be a priority instead of the
> > Kconfig hack, imho.
> 
> Ok, let's see what Gleb says.
> 
I have no objection to merge arm64 kvm trough Catalin if it mean less
churn for everyone. That's what we did with arm and mips. Arm64 kvm
has a dependency on kvm.git next though, so how Catalin make sure that
everything looks right? Will he merge kvm.git/next to arm64 tree?

--
			Gleb.